Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVolumeRayCastStaticInfo Struct Reference

`#include <vtkVolumeRayCastFunction.h>`

Collaboration diagram for vtkVolumeRayCastStaticInfo:

[legend]
List of all members.

## Public Attributes
vtkVolume * | Volume
vtkRenderer * | Renderer
float | WorldToVoxelsMatrix [16]
float | VoxelsToWorldMatrix [16]
float | ViewToVoxelsMatrix [16]
float * | ClippingPlane
int | NumberOfClippingPlanes
float | CameraThickness
int | ScalarDataType
void * | ScalarDataPointer
int | DataIncrement [3]
int | DataSize [3]
float | DataSpacing [3]
float | DataOrigin [3]
int | Shading
int | ColorChannels
float | Color [3]
int | InterpolationType
float * | RedDiffuseShadingTable
float * | GreenDiffuseShadingTable
float * | BlueDiffuseShadingTable
float * | RedSpecularShadingTable
float * | GreenSpecularShadingTable
float * | BlueSpecularShadingTable
unsigned short * | EncodedNormals
unsigned char * | GradientMagnitudes
int | ImageInUseSize [2]
int | ImageMemorySize [2]
int | ImageViewportSize [2]
int | ImageOrigin [2]
unsigned char * | Image
int * | RowBounds
int | MIPFunction
int | MaximizeOpacity

## Member Data Documentation

vtkVolume* vtkVolumeRayCastStaticInfo::Volume

| Definition at line 83 of file vtkVolumeRayCastFunction.h.

vtkRenderer* vtkVolumeRayCastStaticInfo::Renderer

| Definition at line 86 of file vtkVolumeRayCastFunction.h.

float vtkVolumeRayCastStaticInfo::WorldToVoxelsMatrix[16]

| Definition at line 89 of file vtkVolumeRayCastFunction.h.

float vtkVolumeRayCastStaticInfo::VoxelsToWorldMatrix[16]

| Definition at line 90 of file vtkVolumeRayCastFunction.h.

float vtkVolumeRayCastStaticInfo::ViewToVoxelsMatrix[16]

| Definition at line 91 of file vtkVolumeRayCastFunction.h.

float* vtkVolumeRayCastStaticInfo::ClippingPlane

| Definition at line 93 of file vtkVolumeRayCastFunction.h.

int vtkVolumeRayCastStaticInfo::NumberOfClippingPlanes

| Definition at line 94 of file vtkVolumeRayCastFunction.h.

float vtkVolumeRayCastStaticInfo::CameraThickness

| Definition at line 98 of file vtkVolumeRayCastFunction.h.

int vtkVolumeRayCastStaticInfo::ScalarDataType

| Definition at line 102 of file vtkVolumeRayCastFunction.h.

void* vtkVolumeRayCastStaticInfo::ScalarDataPointer

| Definition at line 103 of file vtkVolumeRayCastFunction.h.

int vtkVolumeRayCastStaticInfo::DataIncrement[3]

| Definition at line 104 of file vtkVolumeRayCastFunction.h.

int vtkVolumeRayCastStaticInfo::DataSize[3]

| Definition at line 105 of file vtkVolumeRayCastFunction.h.

float vtkVolumeRayCastStaticInfo::DataSpacing[3]

| Definition at line 106 of file vtkVolumeRayCastFunction.h.

float vtkVolumeRayCastStaticInfo::DataOrigin[3]

| Definition at line 107 of file vtkVolumeRayCastFunction.h.

int vtkVolumeRayCastStaticInfo::Shading

| Definition at line 110 of file vtkVolumeRayCastFunction.h.

int vtkVolumeRayCastStaticInfo::ColorChannels

| Definition at line 111 of file vtkVolumeRayCastFunction.h.

float vtkVolumeRayCastStaticInfo::Color[3]

| Definition at line 112 of file vtkVolumeRayCastFunction.h.

int vtkVolumeRayCastStaticInfo::InterpolationType

| Definition at line 113 of file vtkVolumeRayCastFunction.h.

float* vtkVolumeRayCastStaticInfo::RedDiffuseShadingTable

| Definition at line 117 of file vtkVolumeRayCastFunction.h.

float* vtkVolumeRayCastStaticInfo::GreenDiffuseShadingTable

| Definition at line 118 of file vtkVolumeRayCastFunction.h.

float* vtkVolumeRayCastStaticInfo::BlueDiffuseShadingTable

| Definition at line 119 of file vtkVolumeRayCastFunction.h.

float* vtkVolumeRayCastStaticInfo::RedSpecularShadingTable

| Definition at line 120 of file vtkVolumeRayCastFunction.h.

float* vtkVolumeRayCastStaticInfo::GreenSpecularShadingTable

| Definition at line 121 of file vtkVolumeRayCastFunction.h.

float* vtkVolumeRayCastStaticInfo::BlueSpecularShadingTable

| Definition at line 122 of file vtkVolumeRayCastFunction.h.

unsigned short* vtkVolumeRayCastStaticInfo::EncodedNormals

| Definition at line 125 of file vtkVolumeRayCastFunction.h.

unsigned char* vtkVolumeRayCastStaticInfo::GradientMagnitudes

| Definition at line 126 of file vtkVolumeRayCastFunction.h.

int vtkVolumeRayCastStaticInfo::ImageInUseSize[2]

| Definition at line 129 of file vtkVolumeRayCastFunction.h.

int vtkVolumeRayCastStaticInfo::ImageMemorySize[2]

| Definition at line 130 of file vtkVolumeRayCastFunction.h.

int vtkVolumeRayCastStaticInfo::ImageViewportSize[2]

| Definition at line 131 of file vtkVolumeRayCastFunction.h.

int vtkVolumeRayCastStaticInfo::ImageOrigin[2]

| Definition at line 132 of file vtkVolumeRayCastFunction.h.

unsigned char* vtkVolumeRayCastStaticInfo::Image

| Definition at line 133 of file vtkVolumeRayCastFunction.h.

int* vtkVolumeRayCastStaticInfo::RowBounds

| Definition at line 135 of file vtkVolumeRayCastFunction.h.

int vtkVolumeRayCastStaticInfo::MIPFunction

| Definition at line 142 of file vtkVolumeRayCastFunction.h.

int vtkVolumeRayCastStaticInfo::MaximizeOpacity

| Definition at line 143 of file vtkVolumeRayCastFunction.h.

The documentation for this struct was generated from the following file:

- Rendering/vtkVolumeRayCastFunction.h